Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Deferred Authorizations


Use this information to process a deferred authorization. This payment service enables you to process a delayed authorization request when real-time submission of the request is not possible due to connectivity issues, system outages, or other limitations.

Review these requirements for a deferred authorization transaction:

  • Include this field in the authorization or sale request: processingInformation.authorizationOptions.deferredAuthIndicator.
  • Submit the authorization request within 24 hours of the original transaction date. This requirement applies to non-transit industries.

Supported Card Types

These card types support deferred authorizations:

  • Mastercard
  • Visa

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue123",    "partner": {      "thirdPartyCertificationNumber": "testTPCN"    }  },  "processingInformation": {    "capture": true,    "commerceIndicator": "retail",    "authorizationOptions": {      "deferredAuthIndicator": true    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contact",    "terminalCapability": "4",    "terminalPinCapability": "6",    "emv": {      "tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4xxxxxxxxxxx0135=28122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20251110115959"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7686002727826702603813/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7686002727826702603813"    }  },  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue123"  },  "id": "7686002727826702603813",  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "authorizedAmount": "9900.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "401178",    "merchantNumber": "123456789012",    "approvalCode": "831000",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "601621401178",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7686002727826702603813",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-01-16T21:51:13Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.emv.cardSequenceNumberA value is required for contact or contactless entry modes.
pointOfSaleInformation.emv.tagsA value is required for contact or contactless entry modes.
pointOfSaleInformation.entryMode—
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.authorizationOptions.deferredAuthIndicatorSet the value to true.
processingInformation.captureSet the value to true when sale transactions are supported.
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.